<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
    <title>Bootstrap - Flex</title>
</head>
<body>
    <div class="container-fluid text-center">
        <h1>Bootstrap - Flex</h1>
        <p>Use the d-flex class to create a flex container and transform direct children into flex items.</p>
        <h2>Flex - Column</h2>
        <!-- align-items - vertical -->
        <!-- justify-content - horizontal -->
        <div style=height:500px; class="d-flex bg-dark flex-column p-3 align-items-center justify-content-center">
            <div class="col-2 p-3 bg-success align-items-end">Flex A</div>
            <div class="col-2 p-3 bg-warning">Flex B</div>
            <div class="col-2 p-3 bg-danger">Flex C</div>
        </div>

        <h2>Flex - Row</h2>
        <div style=height:500px; class="d-flex bg-dark flex-row p-3 align-items-center justify-content-center">
            <div class="col-2 p-3 bg-success align-items-end">Flex A</div>
            <div class="col-2 p-3 bg-warning">Flex B</div>
            <div class="col-2 p-3 bg-danger">Flex C</div>
        </div>

        <h2>Flex - Row Reverse</h2>
            <div class="d-flex bg-dark flex-row-reverse p-3 align-items-center justify-content-center">
            <div class="col-2 p-3 bg-success align-items-end">Flex A</div>
            <div class="col-2 p-3 bg-warning">Flex B</div>
            <div class="col-2 p-3 bg-danger">Flex C</div>
        </div>

        <h2>Creating Space Between Elements</h2>
        <div class="d-md-flex bg-dark flex-row justify-content-around">
            <div class="col-2 p-3 bg-success align-items-end">Flex A</div>
            <div class="col-2 p-3 bg-warning">Flex B</div>
            <div class="col-2 p-3 bg-danger">Flex C</div>
        </div>

        <h2>Flexbox With Margin</h2>
        <div class="p-3 d-md-flex bg-dark flex-row ">
            <div class="col-2 p-3 bg-success ">Flex A</div>
            <div class="col-2 p-3 bg-warning mr-auto">Flex B</div>
            <div class="col-2 p-3 bg-danger">Flex C</div>
            <div class="col-2 p-3 bg-primary">Flex D</div>
        </div>

        <h2>Nested Flex Elements</h2>
        <div class="bg-dark p-3 d-flex flex-row justify-content-between">
            <div class="p-3 bg-success ">Flex A</div>
            <div class="d-flex flex-row ">
                <div class="p-3 bg-warning">Flex B</div>
                <div class="p-3 bg-danger">Flex C</div>
                <div class="p-3 bg-primary">Flex D</div>
            </div>
        </div>
    </div>

<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>